Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# DiscontinuousLagrangeFE Class Reference

`#include <DiscontinuousLagrangeFE.h>`

Inheritance diagram for DiscontinuousLagrangeFE:

List of all members.

## Public Member Functions
| DiscontinuousLagrangeFE ()
virtual | ~DiscontinuousLagrangeFE ()
virtual void | set (int order)
virtual void | set_element_number (int element)
virtual void | set (Polygon &p)
virtual void | compute_basis_functions ()
virtual int | nbf ()
virtual GiNaC::ex | N (int i)
virtual GiNaC::ex | dof (int i)
## Private Attributes
int | element

## Detailed Description

Definition at line 6 of file DiscontinuousLagrangeFE.h.

## Constructor & Destructor Documentation

DiscontinuousLagrangeFE::DiscontinuousLagrangeFE | ( |  | ) |

| Definition at line 4 of file DiscontinuousLagrangeFE.cpp. References element.
    00004                                                   : LagrangeFE() {
    00005   element = 0;
    00006 }

virtual DiscontinuousLagrangeFE::~DiscontinuousLagrangeFE | ( |  | ) | `[inline, virtual]`

| Definition at line 10 of file DiscontinuousLagrangeFE.h.
    00010 {}

## Member Function Documentation

void DiscontinuousLagrangeFE::compute_basis_functions | ( |  | ) | `[virtual]`

| Reimplemented from LagrangeFE. Definition at line 12 of file DiscontinuousLagrangeFE.cpp. References LagrangeFE::compute_basis_functions(), StandardFE::dofs, element, StandardFE::order, and StandardFE::p. Referenced by main().
    00012                                                        {
    00013
    00014   if ( order < 1 ) {
    00015     cout <<"Discontinuous Lagrangian elements must be of order 1 or higher."<<endl;
    00016     return;
    00017   }
    00018
    00019
    00020   if ( p == NULL ) {
    00021     cout <<"You need to set a polygon before the basisfunctions can be computed"<<endl;
    00022     return;
    00023   }
    00024
    00025
    00026   LagrangeFE:: compute_basis_functions();
    00027   for (int i=0; i< dofs.size(); i++) {
    00028     dofs[i] = GiNaC::lst(dofs[i], element);
    00029   }
    00030 }

GiNaC::ex DiscontinuousLagrangeFE::dof | ( | int | i | ) | `[virtual]`

| Reimplemented from LagrangeFE. Definition at line 47 of file DiscontinuousLagrangeFE.cpp. References StandardFE::dof(). Referenced by main().
    00047                                            {
    00048   return StandardFE::dof(i);
    00049 }

GiNaC::ex DiscontinuousLagrangeFE::N | ( | int | i | ) | `[virtual]`

| Reimplemented from LagrangeFE. Definition at line 52 of file DiscontinuousLagrangeFE.cpp. References StandardFE::N(). Referenced by main().
    00052                                         {
    00053   return StandardFE::N(i);
    00054 }

int DiscontinuousLagrangeFE::nbf | ( |  | ) | `[virtual]`

| Reimplemented from LagrangeFE. Definition at line 8 of file DiscontinuousLagrangeFE.cpp. References StandardFE::nbf(). Referenced by main().
    00008                                   {
    00009   return StandardFE::nbf();
    00010 }

void DiscontinuousLagrangeFE::set | ( | Polygon & | p | ) | `[virtual]`

| Reimplemented from LagrangeFE. Definition at line 34 of file DiscontinuousLagrangeFE.cpp. References StandardFE::set().
    00034                                               {
    00035   StandardFE::set(p_);
    00036 }

void DiscontinuousLagrangeFE::set | ( | int | order | ) | `[virtual]`

| Reimplemented from LagrangeFE. Definition at line 42 of file DiscontinuousLagrangeFE.cpp. References StandardFE::set(). Referenced by main().
    00042                                              {
    00043   StandardFE::set(order_);
    00044 }

void DiscontinuousLagrangeFE::set_element_number | ( | int | element | ) | `[virtual]`

| Definition at line 38 of file DiscontinuousLagrangeFE.cpp. References element. Referenced by main().
    00038                                                               {
    00039   element = element_;
    00040 }

## Member Data Documentation

int DiscontinuousLagrangeFE::element`[private]`

| Definition at line 7 of file DiscontinuousLagrangeFE.h. Referenced by compute_basis_functions(), DiscontinuousLagrangeFE(), and set_element_number().

The documentation for this class was generated from the following files:

- DiscontinuousLagrangeFE.h
- DiscontinuousLagrangeFE.cpp